/****************************************************/
/* Quelques definitions de couleurs                 */
/* color.h                                          */
/*                                                  */
/* Ecrit par : Daniel Lacroix (all rights reserved) */
/*                                                  */
/****************************************************/

#ifndef __COLOR_H__
#define __COLOR_H__

#include <image.h>

#define COL(r,g,b) ((pix){r,g,b,0xFF})
#define VAL(val) ((pix){(val>>24)&0xFF,(val>>16)&0xFF,(val>>8)&0xFF,val&0xFF})

#define WHITE  ((pix){0xFF,0xFF,0xFF,0xFF})
#define BLACK  ((pix){0x00,0x00,0x00,0xFF})
#define BLUE   ((pix){0x00,0x00,0xFF,0xFF})
#define GREEN  ((pix){0x00,0xFF,0x00,0xFF})
#define RED    ((pix){0xFF,0x00,0x00,0xFF})
#define ORANGE ((pix){0xF0,0x80,0x20,0xFF})
#define YELLOW ((pix){0xFF,0xFF,0x00,0xFF})

#endif /* __COLOR_H__ */
