/****************************************************/
/* Quelques definion utile partout                  */
/* general.h                                        */
/*                                                  */
/* Ecrit par : Daniel Lacroix (all rights reserved) */
/*                                                  */
/****************************************************/

#ifndef __GENERAL_H__
#define __GENERAL_H__

#ifndef NULL
#define NULL 0
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE  !FALSE
#endif

#define int8  char
#define int16 short
#define int32 int

#define uint8  unsigned int8
#define uint16 unsigned int16
#define uint32 unsigned int32

#define boolean int

#define pointer void *

#define MIN(a,b) (((a)<(b))?(a):(b))
#define MAX(a,b) (((a)>(b))?(a):(b))

#define MIN3(a,b,c) MIN(MIN(a,b),MIN(b,c))
#define MAX3(a,b,c) MAX(MAX(a,b),MAX(b,c))

#define ABS(a)   ((a >= 0)?(a):-(a))

#endif /* __GENERAL_H__ */
